package com.zcloud.service.bus;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/** 
 * 说明：风险点台账
 * 作者：luoxiaobao
 * 时间：2020-12-29
 * 官网：www.zcloudchina.com
 */
public interface RiskPointService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;
	
	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;
	
	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteRes(PageData pd)throws Exception;
	
	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;
	
	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;
	
	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;
	public List<PageData> listAllByDc(PageData pd)throws Exception;
	
	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;
	
	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByIdRes(PageData pd)throws Exception;
	
	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;
	
	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void resDeleteAll(String[] ArrayDATA_IDS)throws Exception;
	
	/**总数统计
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public List<PageData> statisticsAll(PageData pd)throws Exception;
	/**
	 * 列表 搜索 风险单元辨识部位模糊查询
	 * @param page
	 * @return
	 * @throws Exception
	 */
	public List<PageData> getListForLikeName(Page page ) throws Exception;
	/**app增加位置信息
	 * @param pd
	 * @throws Exception
	 */
	public void editLonAndLat(PageData pd)throws Exception;
	
	public String countByCorpInfo (PageData pd)throws Exception;
	
}

